package sharin.doc.builder.xhtml1;

public class BdoElem extends GenericCoreElem<BdoElem> {

    public BdoElem(Object... nodes) {
        super("bdo", nodes);
    }

    public BdoElem dir(Object value) {
        return attr("dir", value);
    }

    public BdoElem dirLtr() {
        return dir("ltr");
    }

    public BdoElem dirRtl() {
        return dir("rtl");
    }

    public BdoElem lang(Object value) {
        return attr("lang", value);
    }

    public BdoElem onclick(Object value) {
        return attr("onclick", value);
    }

    public BdoElem ondblclick(Object value) {
        return attr("ondblclick", value);
    }

    public BdoElem onkeydown(Object value) {
        return attr("onkeydown", value);
    }

    public BdoElem onkeypress(Object value) {
        return attr("onkeypress", value);
    }

    public BdoElem onkeyup(Object value) {
        return attr("onkeyup", value);
    }

    public BdoElem onmousedown(Object value) {
        return attr("onmousedown", value);
    }

    public BdoElem onmousemove(Object value) {
        return attr("onmousemove", value);
    }

    public BdoElem onmouseout(Object value) {
        return attr("onmouseout", value);
    }

    public BdoElem onmouseover(Object value) {
        return attr("onmouseover", value);
    }

    public BdoElem onmouseup(Object value) {
        return attr("onmouseup", value);
    }

    public BdoElem xmllang(Object value) {
        return attr("xmllang", value);
    }
}
